Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::gui::IGUIScrollBar Class Reference

Default scroll bar GUI element. More...

`#include <IGUIScrollBar.h>`

Inheritance diagram for irr::gui::IGUIScrollBar:

List of all members.

## Public Member Functions
virtual s32 | getLargeStep () const =0
| gets the large step value
virtual s32 | getMax () const =0
| gets the maximum value of the scrollbar.
virtual s32 | getMin () const =0
| gets the maximum value of the scrollbar.
virtual s32 | getPos () const =0
| gets the current position of the scrollbar
virtual s32 | getSmallStep () const =0
| gets the small step value
| IGUIScrollBar (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
| constructor
virtual void | setLargeStep (s32 step)=0
| Sets the large step.
virtual void | setMax (s32 max)=0
| sets the maximum value of the scrollbar.
virtual void | setMin (s32 max)=0
| sets the maximum value of the scrollbar.
virtual void | setPos (s32 pos)=0
| sets the current position of the scrollbar
virtual void | setSmallStep (s32 step)=0
| Sets the small step.

## Detailed Description

Default scroll bar GUI element.

Definition at line 16 of file IGUIScrollBar.h.

## Constructor & Destructor Documentation

irr::gui::IGUIScrollBar::IGUIScrollBar | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle |
| ) |  |  | `[inline]`

constructor

Definition at line 21 of file IGUIScrollBar.h.

## Member Function Documentation

virtual s32 irr::gui::IGUIScrollBar::getLargeStep | ( |  | ) | const`[pure virtual]`

gets the large step value

virtual s32 irr::gui::IGUIScrollBar::getMax | ( |  | ) | const`[pure virtual]`

gets the maximum value of the scrollbar.

virtual s32 irr::gui::IGUIScrollBar::getMin | ( |  | ) | const`[pure virtual]`

gets the maximum value of the scrollbar.

virtual s32 irr::gui::IGUIScrollBar::getPos | ( |  | ) | const`[pure virtual]`

gets the current position of the scrollbar

virtual s32 irr::gui::IGUIScrollBar::getSmallStep | ( |  | ) | const`[pure virtual]`

gets the small step value

virtual void irr::gui::IGUIScrollBar::setLargeStep | ( | s32 | step | ) | `[pure virtual]`

Sets the large step.

That is the amount that the value changes by when clicking in the tray, or using the page up and page down keys.

virtual void irr::gui::IGUIScrollBar::setMax | ( | s32 | max | ) | `[pure virtual]`

sets the maximum value of the scrollbar.

virtual void irr::gui::IGUIScrollBar::setMin | ( | s32 | max | ) | `[pure virtual]`

sets the maximum value of the scrollbar.

virtual void irr::gui::IGUIScrollBar::setPos | ( | s32 | pos | ) | `[pure virtual]`

sets the current position of the scrollbar

virtual void irr::gui::IGUIScrollBar::setSmallStep | ( | s32 | step | ) | `[pure virtual]`

Sets the small step.

That is the amount that the value changes by when clicking on the buttons or using the cursor keys.

The documentation for this class was generated from the following file:

- IGUIScrollBar.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:07:05 2010 by Doxygen (1.6.2)